Aracılığıyla paylaş


Registry Endpoint - Create Or Update

RegistryEndpointResource oluşturma

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.IoTOperations/instances/{instanceName}/registryEndpoints/{registryEndpointName}?api-version=2026-03-01

URI Parametreleri

Name İçinde Gerekli Tür Description
instanceName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$

Örneğin adı.

registryEndpointName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$

RegistryEndpoint kaynağının adı

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Kaynak grubunun adı. Ad büyük/küçük harfe duyarsız.

subscriptionId
path True

string (uuid)

Hedef aboneliğin kimliği. Değer bir UUID olmalıdır.

api-version
query True

string

minLength: 1

Bu işlem için kullanılacak API sürümü.

İstek Gövdesi

Name Tür Description
extendedLocation

ExtendedLocation

Kaynağın kenar konumu.

properties

RegistryEndpointProperties

Bu kaynağın kaynağa özgü özellikleri.

Yanıtlar

Name Tür Description
200 OK

RegistryEndpointResource

Kaynak 'RegistryEndpointResource' güncelleştirme işlemi başarılı oldu

201 Created

RegistryEndpointResource

Kaynak 'RegistryEndpointResource' oluşturma işlemi başarılı oldu

Üst Bilgiler

  • Azure-AsyncOperation: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

Beklenmeyen bir hata yanıtı.

Güvenlik

azure_auth

Azure Active Directory OAuth2 akışı.

Tür: oauth2
Akış: implicit
Yetkilendirme URL’si: https://login.microsoftonline.com/common/oauth2/authorize

Kapsamlar

Name Description
user_impersonation kullanıcı hesabınızın kimliğine bürünme

Örnekler

RegistryEndpoint_CreateOrUpdate_MaximumSet

Örnek isteği

PUT https://management.azure.com/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.IoTOperations/instances/resource-123/registryEndpoints/resource-123?api-version=2026-03-01

{
  "properties": {
    "host": "contoso.azurecr.io",
    "authentication": {
      "method": "Anonymous",
      "anonymousSettings": {}
    },
    "codeSigningCas": [
      {
        "type": "Secret",
        "secretRef": "my-secret"
      },
      {
        "type": "ConfigMap",
        "configMapRef": "my-configmap"
      }
    ]
  },
  "extendedLocation": {
    "name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
    "type": "CustomLocation"
  }
}

Örnek yanıt

{
  "properties": {
    "host": "contoso.azurecr.io",
    "authentication": {
      "method": "Anonymous",
      "anonymousSettings": {}
    },
    "codeSigningCas": [
      {
        "type": "Secret",
        "secretRef": "my-secret"
      },
      {
        "type": "ConfigMap",
        "configMapRef": "my-configmap"
      }
    ],
    "provisioningState": "Succeeded"
  },
  "extendedLocation": {
    "name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
    "type": "CustomLocation"
  },
  "id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/registryEndpoints/resource-name123",
  "name": "resource-name123",
  "type": "Microsoft.IoTOperations/registryEndpoints",
  "systemData": {
    "createdBy": "contosouser",
    "createdByType": "User",
    "createdAt": "2024-08-09T18:13:29.389Z",
    "lastModifiedBy": "contosouser",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2024-08-09T18:13:29.389Z"
  }
}
Azure-AsyncOperation: https://contoso.com/operationstatus
{
  "properties": {
    "host": "contoso.azurecr.io",
    "authentication": {
      "method": "Anonymous",
      "anonymousSettings": {}
    },
    "provisioningState": "Accepted"
  },
  "extendedLocation": {
    "name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
    "type": "CustomLocation"
  },
  "id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/registryEndpoints/resource-name123",
  "name": "resource-name123",
  "type": "Microsoft.IoTOperations/registryEndpoints",
  "systemData": {
    "createdBy": "contosouser",
    "createdByType": "User",
    "createdAt": "2024-08-09T18:13:29.389Z",
    "lastModifiedBy": "contosouser",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2024-08-09T18:13:29.389Z"
  }
}

Tanımlar

Name Description
createdByType

Kaynağı oluşturan kimliğin türü.

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

ErrorDetail

Hata ayrıntısı.

ErrorResponse

Hata yanıtı

ExtendedLocation

Genişletilmiş konum, Azure konumlarının bir uzantısıdır. Azure ARC özellikli Kubernetes kümelerini Azure hizmetleri örneklerini dağıtmak için hedef konumlar olarak kullanmanın bir yolunu sağlar.

ExtendedLocationType

ExtendedLocation sabit listesi tanımlayıcı türü kabul edildi.

ProvisioningState

Kaynağın durumunu tanımlayan numaralandırma.

RegistryEndpointAnonymousAuthentication

Anonim kimlik doğrulaması

RegistryEndpointArtifactPullSecretAuthentication

Yapıt Çekme Gizli Dizisi kimlik doğrulaması

RegistryEndpointArtifactPullSecretSettings

RegistryEndpoint Yapıt Çekme Gizli Dizisi kimlik doğrulama özellikleri

RegistryEndpointAuthenticationMethod

Kimlik doğrulama yöntemi.

RegistryEndpointProperties

RegistryEndpoint özellikleri

RegistryEndpointResource

RegistryEndpoint kaynağı

RegistryEndpointSystemAssignedIdentityAuthentication

Sistem tarafından atanan kimlik doğrulama

RegistryEndpointSystemAssignedManagedIdentitySettings

Sistem tarafından atanan yönetilen kimlik özellikleri

RegistryEndpointTrustedSigningKeyConfigMap

RegistryEndpoint güveni ayarları bir yapılandırma haritası aracılığıyla sağlanır.

RegistryEndpointTrustedSigningKeySecret

Gizli dizi aracılığıyla sağlanan RegistryEndpoint güveni ayarları.

RegistryEndpointTrustedSigningKeyType

RegistryEndpointTrustedSigningKeyType değerleri

RegistryEndpointUserAssignedIdentityAuthentication

Kullanıcı tarafından atanan kimlik doğrulama

RegistryEndpointUserAssignedManagedIdentitySettings

Kullanıcı tarafından atanan yönetilen kimlik özellikleri

ResourceHealthState

Kaynağın sistem durumu.

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

createdByType

Kaynağı oluşturan kimliğin türü.

Değer Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

Name Tür Description
info

object

Ek bilgiler.

type

string

Ek bilgi türü.

ErrorDetail

Hata ayrıntısı.

Name Tür Description
additionalInfo

ErrorAdditionalInfo[]

Hata ek bilgileri.

code

string

Hata kodu.

details

ErrorDetail[]

Hata ayrıntıları.

message

string

Hata iletisi.

target

string

Hata hedefi.

ErrorResponse

Hata yanıtı

Name Tür Description
error

ErrorDetail

Hata nesnesi.

ExtendedLocation

Genişletilmiş konum, Azure konumlarının bir uzantısıdır. Azure ARC özellikli Kubernetes kümelerini Azure hizmetleri örneklerini dağıtmak için hedef konumlar olarak kullanmanın bir yolunu sağlar.

Name Tür Description
name

string

Genişletilmiş konumun adı.

type

ExtendedLocationType

ExtendedLocation türü.

ExtendedLocationType

ExtendedLocation sabit listesi tanımlayıcı türü kabul edildi.

Değer Description
CustomLocation

CustomLocation türü

ProvisioningState

Kaynağın durumunu tanımlayan numaralandırma.

Değer Description
Succeeded

Kaynak oluşturuldu.

Failed

Kaynak oluşturulamadı.

Canceled

Kaynak oluşturma işlemi iptal edildi.

Provisioning

Kaynak sağlanıyor.

Updating

Kaynak Güncelleniyor.

Deleting

Kaynak Siliniyor.

Accepted

Kaynak Kabul Edildi.

RegistryEndpointAnonymousAuthentication

Anonim kimlik doğrulaması

Name Tür Description
anonymousSettings

RegistryEndpointAnonymousSettings

Anonim kimlik doğrulama özellikleri

method string:

Anonymous

Kimlik doğrulama yöntemi.

RegistryEndpointArtifactPullSecretAuthentication

Yapıt Çekme Gizli Dizisi kimlik doğrulaması

Name Tür Description
artifactPullSecretSettings

RegistryEndpointArtifactPullSecretSettings

Yapıt Çekme Gizli Anahtarı kimlik doğrulama özellikleri

method string:

ArtifactPullSecret

Kimlik doğrulama yöntemi.

RegistryEndpointArtifactPullSecretSettings

RegistryEndpoint Yapıt Çekme Gizli Dizisi kimlik doğrulama özellikleri

Name Tür Description
secretRef

string

Yapıt çekme gizli dizisini içeren kubernetes gizli dizisinin adı.

RegistryEndpointAuthenticationMethod

Kimlik doğrulama yöntemi.

Değer Description
SystemAssignedManagedIdentity

SystemAssignedManagedIdentity türü

UserAssignedManagedIdentity

UserAssignedManagedIdentity türü

Anonymous

Anonim Seçenek

ArtifactPullSecret

Yapıt Çekme Gizli Dizisi kimlik doğrulaması

RegistryEndpointProperties

RegistryEndpoint özellikleri

Name Tür Default value Description
authentication RegistryEndpointAuthentication:

Azure Container Registry için kimlik doğrulama ayarları.

codeSigningCas RegistryEndpointTrustedSigningKey[]:

Kayıt defteri uç noktasındaki yapıtlar tarafından kullanılan imzalama sertifikası yetkilileri

healthState

ResourceHealthState

Unknown

Kaynağın sistem durumu.

host

string

minLength: 3
maxLength: 63

Container Registry uç nokta ana bilgisayar adı.

provisioningState

ProvisioningState

Son işlemin durumu.

RegistryEndpointResource

RegistryEndpoint kaynağı

Name Tür Description
extendedLocation

ExtendedLocation

Kaynağın kenar konumu.

id

string (arm-id)

Kaynağın tam kaynak kimliği. Örneğin, "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

Kaynağın adı

properties

RegistryEndpointProperties

Bu kaynağın kaynağa özgü özellikleri.

systemData

systemData

createdBy ve modifiedBy bilgilerini içeren Azure Resource Manager meta verileri.

type

string

Kaynağın türü. Örneğin, "Microsoft.Compute/virtualMachines" veya "Microsoft.Storage/storageAccounts"

RegistryEndpointSystemAssignedIdentityAuthentication

Sistem tarafından atanan kimlik doğrulama

Name Tür Description
method string:

SystemAssignedManagedIdentity

Kimlik doğrulama yöntemi.

systemAssignedManagedIdentitySettings

RegistryEndpointSystemAssignedManagedIdentitySettings

Sistem tarafından atanan yönetilen kimlik özellikleri

RegistryEndpointSystemAssignedManagedIdentitySettings

Sistem tarafından atanan yönetilen kimlik özellikleri

Name Tür Description
audience

string

Kimlik doğrulaması için hizmetin hedef kitlesi. Opsiyonel; varsayılan olarak Hizmet ana bilgisayar yapılandırması için hedef kitleyi kullanır.

RegistryEndpointTrustedSigningKeyConfigMap

RegistryEndpoint güveni ayarları bir yapılandırma haritası aracılığıyla sağlanır.

Name Tür Description
configMapRef

string

Configmap'in adı.

type string:

ConfigMap

Kayıt defteri uç noktası için güven türü.

RegistryEndpointTrustedSigningKeySecret

Gizli dizi aracılığıyla sağlanan RegistryEndpoint güveni ayarları.

Name Tür Description
secretRef

string

Gizli dizinin adı.

type string:

Secret

Kayıt defteri uç noktası için güven türü.

RegistryEndpointTrustedSigningKeyType

RegistryEndpointTrustedSigningKeyType değerleri

Değer Description
Secret

Kubernetes Gizli Dizisinde depolanan güven ayarları.

ConfigMap

Kubernetes ConfigMap'te depolanan güven ayarları.

RegistryEndpointUserAssignedIdentityAuthentication

Kullanıcı tarafından atanan kimlik doğrulama

Name Tür Description
method string:

UserAssignedManagedIdentity

Kimlik doğrulama yöntemi.

userAssignedManagedIdentitySettings

RegistryEndpointUserAssignedManagedIdentitySettings

Kullanıcı tarafından atanan yönetilen kimlik özellikleri

RegistryEndpointUserAssignedManagedIdentitySettings

Kullanıcı tarafından atanan yönetilen kimlik özellikleri

Name Tür Description
clientId

string

Kullanıcı tarafından atanan yönetilen kimliğin istemci kimliği.

scope

string

Kaynağın kaynak tanımlayıcısı (uygulama kimliği URI'si), .default soneki ile yapıştırılmıştır.

tenantId

string

Kiracı Kimliği.

ResourceHealthState

Kaynağın sistem durumu.

Değer Description
Available

Kaynak Kullanılabilir ve beklendiği gibi çalışıyor.

Degraded

Kaynak sağlığı bozulur.

Unavailable

Kaynak beklendiği gibi çalışmıyor.

Unknown

Kaynak durumu bilinmiyor.

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

Name Tür Description
createdAt

string (date-time)

Kaynak oluşturma (UTC) zaman damgası.

createdBy

string

Kaynağı oluşturan kimlik.

createdByType

createdByType

Kaynağı oluşturan kimliğin türü.

lastModifiedAt

string (date-time)

Kaynağın son değişikliğinin zaman damgası (UTC)

lastModifiedBy

string

Kaynağı en son değiştiren kimlik.

lastModifiedByType

createdByType

Kaynağı en son değiştiren kimlik türü.